|
|||||||||
| Home >> All >> org >> enhydra >> servlet >> [ filter overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
org.enhydra.servlet.filter
Class ResponseFilter

java.lang.Objectorg.enhydra.servlet.filter.ResponseFilter
- All Implemented Interfaces:
- javax.servlet.http.HttpServletResponse, org.apache.tomcat.core.ResponseAdapter, javax.servlet.ServletResponse
- Direct Known Subclasses:
- PrintTransactionResponse, StandardLoggingResponse
- public abstract class ResponseFilter
- extends java.lang.Object
- implements javax.servlet.http.HttpServletResponse, org.apache.tomcat.core.ResponseAdapter
- extends java.lang.Object
Base class that is the base class for a filter, allowing it to be accessed as a ResponseAdapter.
| Field Summary | |
protected javax.servlet.http.HttpServletResponse |
myResponse
The real HttpServletResponse that all calls will be passed on to. |
(package private) javax.servlet.ServletOutputStream |
outputStream
Output stream, saved on first access. |
| Constructor Summary | |
ResponseFilter(javax.servlet.http.HttpServletResponse originalResponse)
Constructor. |
|
| Method Summary | |
void |
addCookie(javax.servlet.http.Cookie cookie)
This call is passed on to the original HttpServletResponse object. |
void |
addDateHeader(java.lang.String name,
long value)
Adds a response header with the given name and date-value. |
void |
addHeader(java.lang.String name,
java.lang.String value)
Adds a response header with the given name and value. |
void |
addIntHeader(java.lang.String name,
int value)
Adds a response header with the given name and integer value. |
void |
addMimeHeaders(org.apache.tomcat.util.MimeHeaders headers)
|
boolean |
containsHeader(java.lang.String name)
This call is passed on to the original HttpServletResponse object. |
void |
doWrite(byte[] buffer,
int pos,
int count)
Write a chunk of bytes. |
java.lang.String |
encodeRedirectUrl(java.lang.String url)
This call is passed on to the original HttpServletResponse object. |
java.lang.String |
encodeRedirectURL(java.lang.String url)
Encodes the specified URL for use in the sendRedirect method or, if encoding is not needed,
returns the URL unchanged. |
java.lang.String |
encodeUrl(java.lang.String url)
This call is passed on to the original HttpServletResponse object. |
java.lang.String |
encodeURL(java.lang.String url)
Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged. |
void |
endHeaders()
Signal that we're done with the headers, and body will follow. |
void |
endResponse()
Signal that we're done with a particular request, the server can go on and read more requests or close the socket |
void |
flushBuffer()
Forces any content in the buffer to be written to the client. |
int |
getBufferSize()
Returns the actual buffer size used for the response. |
java.lang.String |
getCharacterEncoding()
This call is passed on to the original HttpServletResponse object. |
java.util.Locale |
getLocale()
Returns the locale specified for this response using the setLocale(java.util.Locale) 55 method. |
javax.servlet.ServletOutputStream |
getOutputStream()
This call is passed on to the original HttpServletResponse object. |
javax.servlet.ServletOutputStream |
getServletOutputStream()
Either implement ServletOutputStream or return BufferedServletOutputStream(this) and implement doWrite(); |
java.io.PrintWriter |
getWriter()
This call is passed on to the original HttpServletResponse object. |
boolean |
isCommitted()
Returns a boolean indicating if the response has been committed. |
void |
recycle()
|
void |
reset()
Clears any data that exists in the buffer as well as the status code and headers. |
void |
sendError(int sc)
This call is passed on to the original HttpServletResponse object. |
void |
sendError(int sc,
java.lang.String msg)
This call is passed on to the original HttpServletResponse object. |
void |
sendRedirect(java.lang.String location)
This call is passed on to the original HttpServletResponse object. |
void |
setBufferSize(int size)
Sets the preferred buffer size for the body of the response. |
void |
setContentLength(int len)
This call is passed on to the original HttpServletResponse object. |
void |
setContentType(java.lang.String type)
This call is passed on to the original HttpServletResponse object. |
void |
setDateHeader(java.lang.String name,
long date)
This call is passed on to the original HttpServletResponse object. |
void |
setHeader(java.lang.String name,
java.lang.String value)
This call is passed on to the original HttpServletResponse object. |
void |
setIntHeader(java.lang.String name,
int value)
This call is passed on to the original HttpServletResponse object. |
void |
setLocale(java.util.Locale locale)
Sets the locale of the response, if the response has not been committed yet. |
void |
setStatus(int sc)
This call is passed on to the original HttpServletResponse object. |
void |
setStatus(int sc,
java.lang.String sm)
This call is passed on to the original HttpServletResponse object. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Methods inherited from interface javax.servlet.ServletResponse |
getContentType, resetBuffer, setCharacterEncoding |
| Field Detail |
outputStream
javax.servlet.ServletOutputStream outputStream
- Output stream, saved on first access.
myResponse
protected javax.servlet.http.HttpServletResponse myResponse
- The real HttpServletResponse that all calls will be passed on to.
| Constructor Detail |
ResponseFilter
public ResponseFilter(javax.servlet.http.HttpServletResponse originalResponse)
- Constructor. You must pass in a HttpServletResponse object. This is
the object that the calls will be passed on to.
| Method Detail |
setContentLength
public void setContentLength(int len)
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the ServletResponse
documentation.
- Specified by:
setContentLengthin interfacejavax.servlet.ServletResponse
setContentType
public void setContentType(java.lang.String type)
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the ServletResponse
documentation.
- Specified by:
setContentTypein interfacejavax.servlet.ServletResponse
getOutputStream
public javax.servlet.ServletOutputStream getOutputStream() throws java.io.IOException
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the ServletResponse
documentation.
- Specified by:
getOutputStreamin interfacejavax.servlet.ServletResponse
containsHeader
public boolean containsHeader(java.lang.String name)
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the HttpServletResponse
documentation.
- Specified by:
containsHeaderin interfacejavax.servlet.http.HttpServletResponse
setStatus
public void setStatus(int sc,
java.lang.String sm)
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the HttpServletResponse
documentation.
- Specified by:
setStatusin interfacejavax.servlet.http.HttpServletResponse
setStatus
public void setStatus(int sc)
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the HttpServletResponse
documentation.
- Specified by:
setStatusin interfacejavax.servlet.http.HttpServletResponse
setHeader
public void setHeader(java.lang.String name, java.lang.String value)
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the HttpServletResponse
documentation.
- Specified by:
setHeaderin interfacejavax.servlet.http.HttpServletResponse
setIntHeader
public void setIntHeader(java.lang.String name, int value)
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the HttpServletResponse
documentation.
- Specified by:
setIntHeaderin interfacejavax.servlet.http.HttpServletResponse
setDateHeader
public void setDateHeader(java.lang.String name, long date)
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the HttpServletResponse
documentation.
- Specified by:
setDateHeaderin interfacejavax.servlet.http.HttpServletResponse
sendError
public void sendError(int sc,
java.lang.String msg)
throws java.io.IOException
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the HttpServletResponse
documentation.
- Specified by:
sendErrorin interfacejavax.servlet.http.HttpServletResponse
sendError
public void sendError(int sc)
throws java.io.IOException
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the HttpServletResponse
documentation.
- Specified by:
sendErrorin interfacejavax.servlet.http.HttpServletResponse
sendRedirect
public void sendRedirect(java.lang.String location) throws java.io.IOException
- This call is passed on to the original HttpServletResponse object.
For a description of what this call does, see the HttpServletResponse
documentation.
- Specified by:
sendRedirectin interfacejavax.servlet.http.HttpServletResponse
addCookie
public void addCookie(javax.servlet.http.Cookie cookie)
- This call is passed on to the original HttpServletResponse object.
- Specified by:
addCookiein interfacejavax.servlet.http.HttpServletResponse
encodeUrl
public java.lang.String encodeUrl(java.lang.String url)
- This call is passed on to the original HttpServletResponse object.
- Specified by:
encodeUrlin interfacejavax.servlet.http.HttpServletResponse
encodeRedirectUrl
public java.lang.String encodeRedirectUrl(java.lang.String url)
- This call is passed on to the original HttpServletResponse object.
- Specified by:
encodeRedirectUrlin interfacejavax.servlet.http.HttpServletResponse
getWriter
public java.io.PrintWriter getWriter() throws java.io.IOException
- This call is passed on to the original HttpServletResponse object.
- Specified by:
getWriterin interfacejavax.servlet.ServletResponse
getCharacterEncoding
public java.lang.String getCharacterEncoding()
- This call is passed on to the original HttpServletResponse object.
- Specified by:
getCharacterEncodingin interfacejavax.servlet.ServletResponse
getLocale
public java.util.Locale getLocale()
- Description copied from interface:
javax.servlet.ServletResponse - Returns the locale specified for this response
using the ServletResponse.setLocale(java.util.Locale)>
ServletResponse.setLocale(java.util.Locale)55 method. Calls made tosetLocaleafter the response is committed have no effect. If no locale has been specified, the container's default locale is returned.- Specified by:
getLocalein interfacejavax.servlet.ServletResponse
flushBuffer
public void flushBuffer()
throws java.io.IOException
- Description copied from interface:
javax.servlet.ServletResponse - Forces any content in the buffer to be written to the client. A call
to this method automatically commits the response, meaning the status
code and headers will be written.
- Specified by:
flushBufferin interfacejavax.servlet.ServletResponse
encodeURL
public java.lang.String encodeURL(java.lang.String url)
- Description copied from interface:
javax.servlet.http.HttpServletResponse - Encodes the specified URL by including the session ID in it,
or, if encoding is not needed, returns the URL unchanged.
The implementation of this method includes the logic to
determine whether the session ID needs to be encoded in the URL.
For example, if the browser supports cookies, or session
tracking is turned off, URL encoding is unnecessary.
For robust session tracking, all URLs emitted by a servlet should be run through this method. Otherwise, URL rewriting cannot be used with browsers which do not support cookies.
- Specified by:
encodeURLin interfacejavax.servlet.http.HttpServletResponse
isCommitted
public boolean isCommitted()
- Description copied from interface:
javax.servlet.ServletResponse - Returns a boolean indicating if the response has been
committed. A committed response has already had its status
code and headers written.
- Specified by:
isCommittedin interfacejavax.servlet.ServletResponse
getBufferSize
public int getBufferSize()
- Description copied from interface:
javax.servlet.ServletResponse - Returns the actual buffer size used for the response. If no buffering
is used, this method returns 0.
- Specified by:
getBufferSizein interfacejavax.servlet.ServletResponse
reset
public void reset()
- Description copied from interface:
javax.servlet.ServletResponse - Clears any data that exists in the buffer as well as the status code and
headers. If the response has been committed, this method throws an
IllegalStateException.- Specified by:
resetin interfacejavax.servlet.ServletResponse
encodeRedirectURL
public java.lang.String encodeRedirectURL(java.lang.String url)
- Description copied from interface:
javax.servlet.http.HttpServletResponse - Encodes the specified URL for use in the
sendRedirectmethod or, if encoding is not needed, returns the URL unchanged. The implementation of this method includes the logic to determine whether the session ID needs to be encoded in the URL. Because the rules for making this determination can differ from those used to decide whether to encode a normal link, this method is separated from theencodeURLmethod.All URLs sent to the
HttpServletResponse.sendRedirectmethod should be run through this method. Otherwise, URL rewriting cannot be used with browsers which do not support cookies.- Specified by:
encodeRedirectURLin interfacejavax.servlet.http.HttpServletResponse
addIntHeader
public void addIntHeader(java.lang.String name, int value)
- Description copied from interface:
javax.servlet.http.HttpServletResponse - Adds a response header with the given name and
integer value. This method allows response headers to have multiple
values.
- Specified by:
addIntHeaderin interfacejavax.servlet.http.HttpServletResponse
addDateHeader
public void addDateHeader(java.lang.String name, long value)
- Description copied from interface:
javax.servlet.http.HttpServletResponse - Adds a response header with the given name and
date-value. The date is specified in terms of
milliseconds since the epoch. This method allows response headers
to have multiple values.
- Specified by:
addDateHeaderin interfacejavax.servlet.http.HttpServletResponse
addHeader
public void addHeader(java.lang.String name, java.lang.String value)
- Description copied from interface:
javax.servlet.http.HttpServletResponse - Adds a response header with the given name and value.
This method allows response headers to have multiple values.
- Specified by:
addHeaderin interfacejavax.servlet.http.HttpServletResponse
setBufferSize
public void setBufferSize(int size)
- Description copied from interface:
javax.servlet.ServletResponse - Sets the preferred buffer size for the body of the response.
The servlet container will use a buffer at least as large as
the size requested. The actual buffer size used can be found
using
getBufferSize.A larger buffer allows more content to be written before anything is actually sent, thus providing the servlet with more time to set appropriate status codes and headers. A smaller buffer decreases server memory load and allows the client to start receiving data more quickly.
This method must be called before any response body content is written; if content has been written or the response object has been committed, this method throws an
IllegalStateException.- Specified by:
setBufferSizein interfacejavax.servlet.ServletResponse
setLocale
public void setLocale(java.util.Locale locale)
- Description copied from interface:
javax.servlet.ServletResponse - Sets the locale of the response, if the response has not been
committed yet. It also sets the response's character encoding
appropriately for the locale, if the character encoding has not
been explicitly set using ServletResponse.setContentType(java.lang.String)>
ServletResponse.setContentType(java.lang.String)55 or ServletResponse.setCharacterEncoding(java.lang.String)>ServletResponse.setCharacterEncoding(java.lang.String)55 ,getWriterhasn't been called yet, and the response hasn't been committed yet. If the deployment descriptor contains alocale-encoding-mapping-listelement, and that element provides a mapping for the given locale, that mapping is used. Otherwise, the mapping from locale to character encoding is container dependent.This method may be called repeatedly to change locale and character encoding. The method has no effect if called after the response has been committed. It does not set the response's character encoding if it is called after ServletResponse.setContentType(java.lang.String)>
ServletResponse.setContentType(java.lang.String)55 has been called with a charset specification, after ServletResponse.setCharacterEncoding(java.lang.String)>ServletResponse.setCharacterEncoding(java.lang.String)55 has been called, aftergetWriterhas been called, or after the response has been committed.Containers must communicate the locale and the character encoding used for the servlet response's writer to the client if the protocol provides a way for doing so. In the case of HTTP, the locale is communicated via the
Content-Languageheader, the character encoding as part of theContent-Typeheader for text media types. Note that the character encoding cannot be communicated via HTTP headers if the servlet does not specify a content type; however, it is still used to encode text written via the servlet response's writer.- Specified by:
setLocalein interfacejavax.servlet.ServletResponse
addMimeHeaders
public void addMimeHeaders(org.apache.tomcat.util.MimeHeaders headers) throws java.io.IOException
- Specified by:
addMimeHeadersin interfaceorg.apache.tomcat.core.ResponseAdapter
endResponse
public void endResponse()
throws java.io.IOException
- Signal that we're done with a particular request, the
server can go on and read more requests or close the socket
- Specified by:
endResponsein interfaceorg.apache.tomcat.core.ResponseAdapter
endHeaders
public void endHeaders()
throws java.io.IOException
- Signal that we're done with the headers, and body will follow.
The adapter doesn't have to maintain state, it's done inside the engine
- Specified by:
endHeadersin interfaceorg.apache.tomcat.core.ResponseAdapter
getServletOutputStream
public javax.servlet.ServletOutputStream getServletOutputStream() throws java.io.IOException
- Description copied from interface:
org.apache.tomcat.core.ResponseAdapter - Either implement ServletOutputStream or return BufferedServletOutputStream(this)
and implement doWrite();
- Specified by:
getServletOutputStreamin interfaceorg.apache.tomcat.core.ResponseAdapter
recycle
public void recycle()
- Specified by:
recyclein interfaceorg.apache.tomcat.core.ResponseAdapter
doWrite
public void doWrite(byte[] buffer,
int pos,
int count)
throws java.io.IOException
- Write a chunk of bytes. Should be called only from ServletOutputStream implementations,
No need to implement it if your adapter implements ServletOutputStream.
Headers and status will be written before this method is executed.
- Specified by:
doWritein interfaceorg.apache.tomcat.core.ResponseAdapter
|
|||||||||
| Home >> All >> org >> enhydra >> servlet >> [ filter overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC
org.enhydra.servlet.filter.ResponseFilter